Développement en php 8 sous mac book pro M1

Jonat-code

Membre enregistré
12 Octobre 2021
1
0
31
Bonjour,

j'ai un mac pro m1, je travaille avec Vs code mon projet est en symfony et je souhaite installer l'API mercure.

j'ai un problème de taille depuis des semaines le terminal du mac quand je fait php -v m'affiche bien :
PHP 8.0.11 (cli) (built: Sep 26 2021 12:54:49) ( NTS )

mais le terminal vs code s’obstine a rester sur la version 7.3 :
php -v

WARNING: PHP is not recommended
PHP is included in macOS for compatibility with legacy software.
Future versions of macOS will not include PHP.
PHP 7.3.29-to-be-removed-in-future-macOS (cli) (built: Aug 30 2021 10:56:09) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.29, Copyright (c) 1998-2018 Zend Technologies

Pour l'installation de mercure j'ai besoin de la version 8 de php.

J'ai appeler l'assistance d'apple, suivi des tutos, lire des forum, utiliser homebrew, je commence à ne plus avoir d'idées.

Merci de votre aide.